<div class="card shadow mb-4">
  <div class="card-header py-3">
    <h6 class="m-0 font-weight-bold text-primary">Daftar asset</h6>
  </div>
  <div class="card-body">
    <div class="table-responsive">
      <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
        <thead>
          <tr>
            <th>SN</th>
            <th>Unit Kerja</th>
            <th>Asset</th>
            <th>Type</th>
            <th>Kondisi</th>
            <th>Lokasi</th>
            <th>Action</th>
          </tr>
        </thead>
        <tfoot>
          <tr>
            <th>SN</th>
            <th>Unit Kerja</th>
            <th>Asset</th>
            <th>Type</th>
            <th>Kondisi</th>
            <th>Lokasi</th>
            <th>Action</th>
          </tr>
        </tfoot>
        <tbody></tbody>
      </table>
    </div>
  </div>
</div>
</div>

<div class="modal" id="modal">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">QRCode</h4>
        <input id="serialNumber" type="hidden">
        <input id="barang" type="hidden">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-success" data-dismiss="modal">Print</button>
      </div>
    </div>
  </div>
</div>
<script>
function tanggal(date) {
    var d = new Date(date),
        month = '' + (d.getMonth() + 1),
        day = '' + d.getDate(),
        year = d.getFullYear();
    if (month.length < 2) month = '0' + month;
    if (day.length < 2) day = '0' + day;
    return [day,month,year].join('-');
}
$.ajax({dataType:"json", url: $("#apiurl").val()+"/inventory/getAssetList"}).done(function(data) {
  $.each( data, function( key, val ) {
    var markup = "<tr><td id='qr" + val.sn + "' onclick='qrcode(" + val.sn + ")' class='underline'>" + val.sn + "</td><td>" + val.name + "</td><td>" + val.barang + "</td><td>" + val.type +", "+val.desc+"</td><td>"+val.kondisi+"</td><td>" + val.ruang + "</td><td><div class='dropdown mb-4'><button class='btn btn-primary dropdown-toggle' type='button' id='dropdownMenuButton' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false'>Action</button><div class='dropdown-menu animated--fade-in' aria-labelledby='dropdownMenuButton'><a class='dropdown-item' href='#'>Cetak</a><a class='dropdown-item' data-toggle='modal' data-target='#modal' href='#!' onclick=qrcode('"+val.sn+"','"+val.barang+"') id='qrcode'>QRCode</a></div></div></td></tr>";
    $("#dataTable tbody").append(markup);
    // jQuery("#qr"+val.sn).qrcode({width: 64,height: 64,text:val.sn});
  })
});
function qrcode(sn,barang)
{
  $("#serialNumber").val(sn);
  $("#barang").val(barang);
  $(".modal-body").load("inventory/qrcode.html?id="+sn);
}
</script>
<script src="vendor/datatables/jquery.dataTables.min.js"></script>
<script src="vendor/datatables/dataTables.bootstrap4.min.js"></script>
<script src="js/demo/datatables-demo.js"></script>
<script src="vendor/jquery-qrcode/jquery.qrcode.js"></script>
<script src="vendor/jquery-qrcode/qrcode.js"></script>
